///////////////////////////////////////////////////////////////////////////////////////////////////
// Company: <Name>
//
// File: DelayFIFO.v
// File history:
//      <Revision number>: <Date>: <Comments>
//      <Revision number>: <Date>: <Comments>
//      <Revision number>: <Date>: <Comments>
//
// Description: 
//
// <Description here>
//
// Targeted device: <Family::PolarFire> <Die::MPF100T> <Package::FCG484>
// Author: <Name>
//
/////////////////////////////////////////////////////////////////////////////////////////////////// 

//`timescale <time_units> / <precision>

module DelayFIFOx128_38( resetn, clock, WE, datain, dataout );
input clock;
input resetn;
input WE;
input [127:0] datain;
output [127:0] dataout;

reg         re;

COREFIFO_C1 COREFIFO_C1_inst(
    // Inputs
    .CLK    (clock),
    .DATA   (datain ),
    .RE     (re),
    .RESET  (resetn ),
    .WE     (WE),
    // Outputs
    .AFULL (AFULL ),
    .EMPTY ( ),
    .FULL  ( ),
    .Q     (dataout )
);

always @ (negedge resetn or posedge clock) begin
    if (!resetn) begin
        re <= 1'b0;
    end
    else if (AFULL) begin
        re <= 1'b1;
    end
end

endmodule

