quietly set ACTELLIBNAME PolarFire
quietly set PROJECT_DIR "C:/actelprj/RTL/repos/WideMult/WideMult"

if {[file exists presynth/_info]} {
   echo "INFO: Simulation library presynth already exists"
} else {
   file delete -force presynth 
   vlib presynth
}
vmap presynth presynth
vmap PolarFire "C:/Microsemi/Libero_SoC_v2021.1/Designer/lib/modelsimpro/precompiled/vlog/PolarFire"

vlog -sv -work presynth "${PROJECT_DIR}/component/work/COREFIFO_C3/COREFIFO_C3_0/rtl/vlog/core/corefifo_NstagesSync.v"
vlog -sv -work presynth "${PROJECT_DIR}/component/work/COREFIFO_C3/COREFIFO_C3_0/rtl/vlog/core/corefifo_grayToBinConv.v"
vlog -sv -work presynth "${PROJECT_DIR}/component/work/COREFIFO_C3/COREFIFO_C3_0/rtl/vlog/core/corefifo_async.v"
vlog -sv -work presynth "${PROJECT_DIR}/component/work/COREFIFO_C3/COREFIFO_C3_0/rtl/vlog/core/corefifo_fwft.v"
vlog -sv -work presynth "${PROJECT_DIR}/component/work/COREFIFO_C3/COREFIFO_C3_0/rtl/vlog/core/corefifo_resetSync.v"
vlog -sv -work presynth "${PROJECT_DIR}/component/work/COREFIFO_C3/COREFIFO_C3_0/rtl/vlog/core/corefifo_sync.v"
vlog -sv -work presynth "${PROJECT_DIR}/component/work/COREFIFO_C3/COREFIFO_C3_0/rtl/vlog/core/corefifo_sync_scntr.v"
vlog -sv -work presynth "${PROJECT_DIR}/component/work/COREFIFO_C3/COREFIFO_C3_0/rtl/vlog/core/COREFIFO_C3_COREFIFO_C3_0_USRAM_top.v"
vlog -sv -work presynth "${PROJECT_DIR}/component/work/COREFIFO_C3/COREFIFO_C3_0/rtl/vlog/core/COREFIFO_C3_COREFIFO_C3_0_ram_wrapper.v"
vlog -sv -work presynth "${PROJECT_DIR}/component/work/COREFIFO_C3/COREFIFO_C3_0/rtl/vlog/core/COREFIFO.v"
vlog -sv -work presynth "${PROJECT_DIR}/component/work/COREFIFO_C3/COREFIFO_C3.v"
vlog -sv -work presynth "${PROJECT_DIR}/hdl/DelayFIFOx128_18.v"
vlog -sv -work presynth "${PROJECT_DIR}/component/work/COREFIFO_C1/COREFIFO_C1_0/rtl/vlog/core/corefifo_NstagesSync.v"
vlog -sv -work presynth "${PROJECT_DIR}/component/work/COREFIFO_C1/COREFIFO_C1_0/rtl/vlog/core/corefifo_grayToBinConv.v"
vlog -sv -work presynth "${PROJECT_DIR}/component/work/COREFIFO_C1/COREFIFO_C1_0/rtl/vlog/core/corefifo_async.v"
vlog -sv -work presynth "${PROJECT_DIR}/component/work/COREFIFO_C1/COREFIFO_C1_0/rtl/vlog/core/corefifo_fwft.v"
vlog -sv -work presynth "${PROJECT_DIR}/component/work/COREFIFO_C1/COREFIFO_C1_0/rtl/vlog/core/corefifo_resetSync.v"
vlog -sv -work presynth "${PROJECT_DIR}/component/work/COREFIFO_C1/COREFIFO_C1_0/rtl/vlog/core/corefifo_sync.v"
vlog -sv -work presynth "${PROJECT_DIR}/component/work/COREFIFO_C1/COREFIFO_C1_0/rtl/vlog/core/corefifo_sync_scntr.v"
vlog -sv -work presynth "${PROJECT_DIR}/component/work/COREFIFO_C1/COREFIFO_C1_0/rtl/vlog/core/COREFIFO_C1_COREFIFO_C1_0_USRAM_top.v"
vlog -sv -work presynth "${PROJECT_DIR}/component/work/COREFIFO_C1/COREFIFO_C1_0/rtl/vlog/core/COREFIFO_C1_COREFIFO_C1_0_ram_wrapper.v"
vlog -sv -work presynth "${PROJECT_DIR}/component/work/COREFIFO_C1/COREFIFO_C1_0/rtl/vlog/core/COREFIFO.v"
vlog -sv -work presynth "${PROJECT_DIR}/component/work/COREFIFO_C1/COREFIFO_C1.v"
vlog -sv -work presynth "${PROJECT_DIR}/hdl/DelayFIFOx128_38.v"
vlog -sv -work presynth "${PROJECT_DIR}/component/work/COREFIFO_C2/COREFIFO_C2_0/rtl/vlog/core/corefifo_NstagesSync.v"
vlog -sv -work presynth "${PROJECT_DIR}/component/work/COREFIFO_C2/COREFIFO_C2_0/rtl/vlog/core/corefifo_grayToBinConv.v"
vlog -sv -work presynth "${PROJECT_DIR}/component/work/COREFIFO_C2/COREFIFO_C2_0/rtl/vlog/core/corefifo_async.v"
vlog -sv -work presynth "${PROJECT_DIR}/component/work/COREFIFO_C2/COREFIFO_C2_0/rtl/vlog/core/corefifo_fwft.v"
vlog -sv -work presynth "${PROJECT_DIR}/component/work/COREFIFO_C2/COREFIFO_C2_0/rtl/vlog/core/corefifo_resetSync.v"
vlog -sv -work presynth "${PROJECT_DIR}/component/work/COREFIFO_C2/COREFIFO_C2_0/rtl/vlog/core/corefifo_sync.v"
vlog -sv -work presynth "${PROJECT_DIR}/component/work/COREFIFO_C2/COREFIFO_C2_0/rtl/vlog/core/corefifo_sync_scntr.v"
vlog -sv -work presynth "${PROJECT_DIR}/component/work/COREFIFO_C2/COREFIFO_C2_0/rtl/vlog/core/COREFIFO_C2_COREFIFO_C2_0_USRAM_top.v"
vlog -sv -work presynth "${PROJECT_DIR}/component/work/COREFIFO_C2/COREFIFO_C2_0/rtl/vlog/core/COREFIFO_C2_COREFIFO_C2_0_ram_wrapper.v"
vlog -sv -work presynth "${PROJECT_DIR}/component/work/COREFIFO_C2/COREFIFO_C2_0/rtl/vlog/core/COREFIFO.v"
vlog -sv -work presynth "${PROJECT_DIR}/component/work/COREFIFO_C2/COREFIFO_C2.v"
vlog -sv -work presynth "${PROJECT_DIR}/hdl/DelayFIFOx64_19.v"
vlog -sv -work presynth "${PROJECT_DIR}/component/work/COREFIFO_C0/COREFIFO_C0_0/rtl/vlog/core/corefifo_NstagesSync.v"
vlog -sv -work presynth "${PROJECT_DIR}/component/work/COREFIFO_C0/COREFIFO_C0_0/rtl/vlog/core/corefifo_grayToBinConv.v"
vlog -sv -work presynth "${PROJECT_DIR}/component/work/COREFIFO_C0/COREFIFO_C0_0/rtl/vlog/core/corefifo_async.v"
vlog -sv -work presynth "${PROJECT_DIR}/component/work/COREFIFO_C0/COREFIFO_C0_0/rtl/vlog/core/corefifo_fwft.v"
vlog -sv -work presynth "${PROJECT_DIR}/component/work/COREFIFO_C0/COREFIFO_C0_0/rtl/vlog/core/corefifo_resetSync.v"
vlog -sv -work presynth "${PROJECT_DIR}/component/work/COREFIFO_C0/COREFIFO_C0_0/rtl/vlog/core/corefifo_sync.v"
vlog -sv -work presynth "${PROJECT_DIR}/component/work/COREFIFO_C0/COREFIFO_C0_0/rtl/vlog/core/corefifo_sync_scntr.v"
vlog -sv -work presynth "${PROJECT_DIR}/component/work/COREFIFO_C0/COREFIFO_C0_0/rtl/vlog/core/COREFIFO_C0_COREFIFO_C0_0_USRAM_top.v"
vlog -sv -work presynth "${PROJECT_DIR}/component/work/COREFIFO_C0/COREFIFO_C0_0/rtl/vlog/core/COREFIFO_C0_COREFIFO_C0_0_ram_wrapper.v"
vlog -sv -work presynth "${PROJECT_DIR}/component/work/COREFIFO_C0/COREFIFO_C0_0/rtl/vlog/core/COREFIFO.v"
vlog -sv -work presynth "${PROJECT_DIR}/component/work/COREFIFO_C0/COREFIFO_C0.v"
vlog -sv -work presynth "${PROJECT_DIR}/hdl/DelayFIFOx64_38.v"
vlog -sv -work presynth "${PROJECT_DIR}/hdl/mult64x64.v"
vlog -sv -work presynth "${PROJECT_DIR}/hdl/mult128x64.v"
vlog -sv -work presynth "${PROJECT_DIR}/hdl/mult192x64.v"
vlog -sv -work presynth "${PROJECT_DIR}/hdl/WideMultTopPF.v"
vlog "+incdir+${PROJECT_DIR}/stimulus" -sv -work presynth "${PROJECT_DIR}/stimulus/WideMultTopPf_Tb.v"

vsim -L PolarFire -L presynth  -t 1ps -pli C:/Microsemi/Libero_SoC_v2021.1/Designer/lib/modelsimpro/pli/pf_crypto_win_me_pli.dll presynth.WideMultTopPf_Tb
do "wave.do"
add log -r /*
run 50us
