//////////////////////////////////////////////////////////////////////
// Created by Microsemi SmartDesign Tue Oct 13 16:15:43 2020
// Testbench Template
// This is a basic testbench that instantiates your design with basic 
// clock and reset pins connected.  If your design has special
// clock/reset or testbench driver requirements then you should 
// copy this file and modify it. 
//////////////////////////////////////////////////////////////////////

///////////////////////////////////////////////////////////////////////////////////////////////////
// Company: <Name>
//
// File: DealyFIFOx64_tb.v
// File history:
//      <Revision number>: <Date>: <Comments>
//      <Revision number>: <Date>: <Comments>
//      <Revision number>: <Date>: <Comments>
//
// Description: 
//
// <Description here>
//
// Targeted device: <Family::PolarFire> <Die::MPF100T> <Package::FCG484>
// Author: <Name>
//
/////////////////////////////////////////////////////////////////////////////////////////////////// 

`timescale 1ns/100ps

module DealyFIFOx64_tb;

parameter SYSCLK_PERIOD = 10;// 100MHZ

reg SYSCLK;
reg NSYSRESET;
reg WE;
reg [63:0] datain;
integer i;

initial
begin
    SYSCLK = 1'b0;
    NSYSRESET = 1'b0;
    WE = 1'b0;
    datain <= 64'h0;
end

//////////////////////////////////////////////////////////////////////
// Reset Pulse
//////////////////////////////////////////////////////////////////////
initial
begin
    #(SYSCLK_PERIOD * 10 )
        NSYSRESET = 1'b1;
end


//////////////////////////////////////////////////////////////////////
// Clock Driver
//////////////////////////////////////////////////////////////////////
always @(SYSCLK)
    #(SYSCLK_PERIOD / 2.0) SYSCLK <= !SYSCLK;


    
initial
begin
#1000 WE <= 1'b1;
    for(i=0; i<=100; i=i+1)begin
        #10 datain <= datain +1;
    end
end
//////////////////////////////////////////////////////////////////////
// Instantiate Unit Under Test:  DelayFIFOx64
//////////////////////////////////////////////////////////////////////
DelayFIFOx64 DelayFIFOx64_0 (
    // Inputs
    .resetn(NSYSRESET),
    .clock(SYSCLK),
    .WE(WE),
    .datain(datain),

    // Outputs
    .dataout( )

    // Inouts

);

endmodule

