`timescale 1 ns/100 ps
// Version: v2021.2 2021.2.0.11


module COREFIFO_C3_COREFIFO_C3_0_USRAM_top(
       R_DATA,
       W_DATA,
       R_ADDR,
       W_ADDR,
       BLK_EN,
       R_ADDR_ARST_N,
       R_DATA_ARST_N,
       R_ADDR_SRST_N,
       R_DATA_SRST_N,
       R_ADDR_EN,
       R_DATA_EN,
       CLK,
       W_EN
    );
output [127:0] R_DATA;
input  [127:0] W_DATA;
input  [5:0] R_ADDR;
input  [5:0] W_ADDR;
input  BLK_EN;
input  R_ADDR_ARST_N;
input  R_DATA_ARST_N;
input  R_ADDR_SRST_N;
input  R_DATA_SRST_N;
input  R_ADDR_EN;
input  R_DATA_EN;
input  CLK;
input  W_EN;

    wire \ACCESS_BUSY[0][0] , \ACCESS_BUSY[0][1] , \ACCESS_BUSY[0][2] , 
        \ACCESS_BUSY[0][3] , \ACCESS_BUSY[0][4] , \ACCESS_BUSY[0][5] , 
        \ACCESS_BUSY[0][6] , \ACCESS_BUSY[0][7] , \ACCESS_BUSY[0][8] , 
        \ACCESS_BUSY[0][9] , \ACCESS_BUSY[0][10] , VCC, GND, ADLIB_VCC;
    wire GND_power_net1;
    wire VCC_power_net1;
    assign GND = GND_power_net1;
    assign VCC = VCC_power_net1;
    assign ADLIB_VCC = VCC_power_net1;
    
    RAM64x12 #( .RAMINDEX("core%64%128%SPEED%0%9%MICRO_RAM") )  
        COREFIFO_C3_COREFIFO_C3_0_USRAM_top_R0C9 (.BLK_EN(BLK_EN), 
        .BUSY_FB(GND), .R_ADDR({R_ADDR[5], R_ADDR[4], R_ADDR[3], 
        R_ADDR[2], R_ADDR[1], R_ADDR[0]}), .R_ADDR_AD_N(VCC), 
        .R_ADDR_AL_N(R_ADDR_ARST_N), .R_ADDR_BYPASS(GND), .R_ADDR_EN(
        R_ADDR_EN), .R_ADDR_SD(GND), .R_ADDR_SL_N(R_ADDR_SRST_N), 
        .R_CLK(CLK), .R_DATA_AD_N(VCC), .R_DATA_AL_N(R_DATA_ARST_N), 
        .R_DATA_BYPASS(GND), .R_DATA_EN(R_DATA_EN), .R_DATA_SD(GND), 
        .R_DATA_SL_N(R_DATA_SRST_N), .W_ADDR({W_ADDR[5], W_ADDR[4], 
        W_ADDR[3], W_ADDR[2], W_ADDR[1], W_ADDR[0]}), .W_CLK(CLK), 
        .W_DATA({W_DATA[119], W_DATA[118], W_DATA[117], W_DATA[116], 
        W_DATA[115], W_DATA[114], W_DATA[113], W_DATA[112], 
        W_DATA[111], W_DATA[110], W_DATA[109], W_DATA[108]}), .W_EN(
        W_EN), .ACCESS_BUSY(\ACCESS_BUSY[0][9] ), .R_DATA({R_DATA[119], 
        R_DATA[118], R_DATA[117], R_DATA[116], R_DATA[115], 
        R_DATA[114], R_DATA[113], R_DATA[112], R_DATA[111], 
        R_DATA[110], R_DATA[109], R_DATA[108]}));
    RAM64x12 #( .RAMINDEX("core%64%128%SPEED%0%1%MICRO_RAM") )  
        COREFIFO_C3_COREFIFO_C3_0_USRAM_top_R0C1 (.BLK_EN(BLK_EN), 
        .BUSY_FB(GND), .R_ADDR({R_ADDR[5], R_ADDR[4], R_ADDR[3], 
        R_ADDR[2], R_ADDR[1], R_ADDR[0]}), .R_ADDR_AD_N(VCC), 
        .R_ADDR_AL_N(R_ADDR_ARST_N), .R_ADDR_BYPASS(GND), .R_ADDR_EN(
        R_ADDR_EN), .R_ADDR_SD(GND), .R_ADDR_SL_N(R_ADDR_SRST_N), 
        .R_CLK(CLK), .R_DATA_AD_N(VCC), .R_DATA_AL_N(R_DATA_ARST_N), 
        .R_DATA_BYPASS(GND), .R_DATA_EN(R_DATA_EN), .R_DATA_SD(GND), 
        .R_DATA_SL_N(R_DATA_SRST_N), .W_ADDR({W_ADDR[5], W_ADDR[4], 
        W_ADDR[3], W_ADDR[2], W_ADDR[1], W_ADDR[0]}), .W_CLK(CLK), 
        .W_DATA({W_DATA[23], W_DATA[22], W_DATA[21], W_DATA[20], 
        W_DATA[19], W_DATA[18], W_DATA[17], W_DATA[16], W_DATA[15], 
        W_DATA[14], W_DATA[13], W_DATA[12]}), .W_EN(W_EN), 
        .ACCESS_BUSY(\ACCESS_BUSY[0][1] ), .R_DATA({R_DATA[23], 
        R_DATA[22], R_DATA[21], R_DATA[20], R_DATA[19], R_DATA[18], 
        R_DATA[17], R_DATA[16], R_DATA[15], R_DATA[14], R_DATA[13], 
        R_DATA[12]}));
    RAM64x12 #( .RAMINDEX("core%64%128%SPEED%0%7%MICRO_RAM") )  
        COREFIFO_C3_COREFIFO_C3_0_USRAM_top_R0C7 (.BLK_EN(BLK_EN), 
        .BUSY_FB(GND), .R_ADDR({R_ADDR[5], R_ADDR[4], R_ADDR[3], 
        R_ADDR[2], R_ADDR[1], R_ADDR[0]}), .R_ADDR_AD_N(VCC), 
        .R_ADDR_AL_N(R_ADDR_ARST_N), .R_ADDR_BYPASS(GND), .R_ADDR_EN(
        R_ADDR_EN), .R_ADDR_SD(GND), .R_ADDR_SL_N(R_ADDR_SRST_N), 
        .R_CLK(CLK), .R_DATA_AD_N(VCC), .R_DATA_AL_N(R_DATA_ARST_N), 
        .R_DATA_BYPASS(GND), .R_DATA_EN(R_DATA_EN), .R_DATA_SD(GND), 
        .R_DATA_SL_N(R_DATA_SRST_N), .W_ADDR({W_ADDR[5], W_ADDR[4], 
        W_ADDR[3], W_ADDR[2], W_ADDR[1], W_ADDR[0]}), .W_CLK(CLK), 
        .W_DATA({W_DATA[95], W_DATA[94], W_DATA[93], W_DATA[92], 
        W_DATA[91], W_DATA[90], W_DATA[89], W_DATA[88], W_DATA[87], 
        W_DATA[86], W_DATA[85], W_DATA[84]}), .W_EN(W_EN), 
        .ACCESS_BUSY(\ACCESS_BUSY[0][7] ), .R_DATA({R_DATA[95], 
        R_DATA[94], R_DATA[93], R_DATA[92], R_DATA[91], R_DATA[90], 
        R_DATA[89], R_DATA[88], R_DATA[87], R_DATA[86], R_DATA[85], 
        R_DATA[84]}));
    RAM64x12 #( .RAMINDEX("core%64%128%SPEED%0%6%MICRO_RAM") )  
        COREFIFO_C3_COREFIFO_C3_0_USRAM_top_R0C6 (.BLK_EN(BLK_EN), 
        .BUSY_FB(GND), .R_ADDR({R_ADDR[5], R_ADDR[4], R_ADDR[3], 
        R_ADDR[2], R_ADDR[1], R_ADDR[0]}), .R_ADDR_AD_N(VCC), 
        .R_ADDR_AL_N(R_ADDR_ARST_N), .R_ADDR_BYPASS(GND), .R_ADDR_EN(
        R_ADDR_EN), .R_ADDR_SD(GND), .R_ADDR_SL_N(R_ADDR_SRST_N), 
        .R_CLK(CLK), .R_DATA_AD_N(VCC), .R_DATA_AL_N(R_DATA_ARST_N), 
        .R_DATA_BYPASS(GND), .R_DATA_EN(R_DATA_EN), .R_DATA_SD(GND), 
        .R_DATA_SL_N(R_DATA_SRST_N), .W_ADDR({W_ADDR[5], W_ADDR[4], 
        W_ADDR[3], W_ADDR[2], W_ADDR[1], W_ADDR[0]}), .W_CLK(CLK), 
        .W_DATA({W_DATA[83], W_DATA[82], W_DATA[81], W_DATA[80], 
        W_DATA[79], W_DATA[78], W_DATA[77], W_DATA[76], W_DATA[75], 
        W_DATA[74], W_DATA[73], W_DATA[72]}), .W_EN(W_EN), 
        .ACCESS_BUSY(\ACCESS_BUSY[0][6] ), .R_DATA({R_DATA[83], 
        R_DATA[82], R_DATA[81], R_DATA[80], R_DATA[79], R_DATA[78], 
        R_DATA[77], R_DATA[76], R_DATA[75], R_DATA[74], R_DATA[73], 
        R_DATA[72]}));
    RAM64x12 #( .RAMINDEX("core%64%128%SPEED%0%2%MICRO_RAM") )  
        COREFIFO_C3_COREFIFO_C3_0_USRAM_top_R0C2 (.BLK_EN(BLK_EN), 
        .BUSY_FB(GND), .R_ADDR({R_ADDR[5], R_ADDR[4], R_ADDR[3], 
        R_ADDR[2], R_ADDR[1], R_ADDR[0]}), .R_ADDR_AD_N(VCC), 
        .R_ADDR_AL_N(R_ADDR_ARST_N), .R_ADDR_BYPASS(GND), .R_ADDR_EN(
        R_ADDR_EN), .R_ADDR_SD(GND), .R_ADDR_SL_N(R_ADDR_SRST_N), 
        .R_CLK(CLK), .R_DATA_AD_N(VCC), .R_DATA_AL_N(R_DATA_ARST_N), 
        .R_DATA_BYPASS(GND), .R_DATA_EN(R_DATA_EN), .R_DATA_SD(GND), 
        .R_DATA_SL_N(R_DATA_SRST_N), .W_ADDR({W_ADDR[5], W_ADDR[4], 
        W_ADDR[3], W_ADDR[2], W_ADDR[1], W_ADDR[0]}), .W_CLK(CLK), 
        .W_DATA({W_DATA[35], W_DATA[34], W_DATA[33], W_DATA[32], 
        W_DATA[31], W_DATA[30], W_DATA[29], W_DATA[28], W_DATA[27], 
        W_DATA[26], W_DATA[25], W_DATA[24]}), .W_EN(W_EN), 
        .ACCESS_BUSY(\ACCESS_BUSY[0][2] ), .R_DATA({R_DATA[35], 
        R_DATA[34], R_DATA[33], R_DATA[32], R_DATA[31], R_DATA[30], 
        R_DATA[29], R_DATA[28], R_DATA[27], R_DATA[26], R_DATA[25], 
        R_DATA[24]}));
    RAM64x12 #( .RAMINDEX("core%64%128%SPEED%0%4%MICRO_RAM") )  
        COREFIFO_C3_COREFIFO_C3_0_USRAM_top_R0C4 (.BLK_EN(BLK_EN), 
        .BUSY_FB(GND), .R_ADDR({R_ADDR[5], R_ADDR[4], R_ADDR[3], 
        R_ADDR[2], R_ADDR[1], R_ADDR[0]}), .R_ADDR_AD_N(VCC), 
        .R_ADDR_AL_N(R_ADDR_ARST_N), .R_ADDR_BYPASS(GND), .R_ADDR_EN(
        R_ADDR_EN), .R_ADDR_SD(GND), .R_ADDR_SL_N(R_ADDR_SRST_N), 
        .R_CLK(CLK), .R_DATA_AD_N(VCC), .R_DATA_AL_N(R_DATA_ARST_N), 
        .R_DATA_BYPASS(GND), .R_DATA_EN(R_DATA_EN), .R_DATA_SD(GND), 
        .R_DATA_SL_N(R_DATA_SRST_N), .W_ADDR({W_ADDR[5], W_ADDR[4], 
        W_ADDR[3], W_ADDR[2], W_ADDR[1], W_ADDR[0]}), .W_CLK(CLK), 
        .W_DATA({W_DATA[59], W_DATA[58], W_DATA[57], W_DATA[56], 
        W_DATA[55], W_DATA[54], W_DATA[53], W_DATA[52], W_DATA[51], 
        W_DATA[50], W_DATA[49], W_DATA[48]}), .W_EN(W_EN), 
        .ACCESS_BUSY(\ACCESS_BUSY[0][4] ), .R_DATA({R_DATA[59], 
        R_DATA[58], R_DATA[57], R_DATA[56], R_DATA[55], R_DATA[54], 
        R_DATA[53], R_DATA[52], R_DATA[51], R_DATA[50], R_DATA[49], 
        R_DATA[48]}));
    RAM64x12 #( .RAMINDEX("core%64%128%SPEED%0%8%MICRO_RAM") )  
        COREFIFO_C3_COREFIFO_C3_0_USRAM_top_R0C8 (.BLK_EN(BLK_EN), 
        .BUSY_FB(GND), .R_ADDR({R_ADDR[5], R_ADDR[4], R_ADDR[3], 
        R_ADDR[2], R_ADDR[1], R_ADDR[0]}), .R_ADDR_AD_N(VCC), 
        .R_ADDR_AL_N(R_ADDR_ARST_N), .R_ADDR_BYPASS(GND), .R_ADDR_EN(
        R_ADDR_EN), .R_ADDR_SD(GND), .R_ADDR_SL_N(R_ADDR_SRST_N), 
        .R_CLK(CLK), .R_DATA_AD_N(VCC), .R_DATA_AL_N(R_DATA_ARST_N), 
        .R_DATA_BYPASS(GND), .R_DATA_EN(R_DATA_EN), .R_DATA_SD(GND), 
        .R_DATA_SL_N(R_DATA_SRST_N), .W_ADDR({W_ADDR[5], W_ADDR[4], 
        W_ADDR[3], W_ADDR[2], W_ADDR[1], W_ADDR[0]}), .W_CLK(CLK), 
        .W_DATA({W_DATA[107], W_DATA[106], W_DATA[105], W_DATA[104], 
        W_DATA[103], W_DATA[102], W_DATA[101], W_DATA[100], W_DATA[99], 
        W_DATA[98], W_DATA[97], W_DATA[96]}), .W_EN(W_EN), 
        .ACCESS_BUSY(\ACCESS_BUSY[0][8] ), .R_DATA({R_DATA[107], 
        R_DATA[106], R_DATA[105], R_DATA[104], R_DATA[103], 
        R_DATA[102], R_DATA[101], R_DATA[100], R_DATA[99], R_DATA[98], 
        R_DATA[97], R_DATA[96]}));
    RAM64x12 #( .RAMINDEX("core%64%128%SPEED%0%3%MICRO_RAM") )  
        COREFIFO_C3_COREFIFO_C3_0_USRAM_top_R0C3 (.BLK_EN(BLK_EN), 
        .BUSY_FB(GND), .R_ADDR({R_ADDR[5], R_ADDR[4], R_ADDR[3], 
        R_ADDR[2], R_ADDR[1], R_ADDR[0]}), .R_ADDR_AD_N(VCC), 
        .R_ADDR_AL_N(R_ADDR_ARST_N), .R_ADDR_BYPASS(GND), .R_ADDR_EN(
        R_ADDR_EN), .R_ADDR_SD(GND), .R_ADDR_SL_N(R_ADDR_SRST_N), 
        .R_CLK(CLK), .R_DATA_AD_N(VCC), .R_DATA_AL_N(R_DATA_ARST_N), 
        .R_DATA_BYPASS(GND), .R_DATA_EN(R_DATA_EN), .R_DATA_SD(GND), 
        .R_DATA_SL_N(R_DATA_SRST_N), .W_ADDR({W_ADDR[5], W_ADDR[4], 
        W_ADDR[3], W_ADDR[2], W_ADDR[1], W_ADDR[0]}), .W_CLK(CLK), 
        .W_DATA({W_DATA[47], W_DATA[46], W_DATA[45], W_DATA[44], 
        W_DATA[43], W_DATA[42], W_DATA[41], W_DATA[40], W_DATA[39], 
        W_DATA[38], W_DATA[37], W_DATA[36]}), .W_EN(W_EN), 
        .ACCESS_BUSY(\ACCESS_BUSY[0][3] ), .R_DATA({R_DATA[47], 
        R_DATA[46], R_DATA[45], R_DATA[44], R_DATA[43], R_DATA[42], 
        R_DATA[41], R_DATA[40], R_DATA[39], R_DATA[38], R_DATA[37], 
        R_DATA[36]}));
    RAM64x12 #( .RAMINDEX("core%64%128%SPEED%0%0%MICRO_RAM") )  
        COREFIFO_C3_COREFIFO_C3_0_USRAM_top_R0C0 (.BLK_EN(BLK_EN), 
        .BUSY_FB(GND), .R_ADDR({R_ADDR[5], R_ADDR[4], R_ADDR[3], 
        R_ADDR[2], R_ADDR[1], R_ADDR[0]}), .R_ADDR_AD_N(VCC), 
        .R_ADDR_AL_N(R_ADDR_ARST_N), .R_ADDR_BYPASS(GND), .R_ADDR_EN(
        R_ADDR_EN), .R_ADDR_SD(GND), .R_ADDR_SL_N(R_ADDR_SRST_N), 
        .R_CLK(CLK), .R_DATA_AD_N(VCC), .R_DATA_AL_N(R_DATA_ARST_N), 
        .R_DATA_BYPASS(GND), .R_DATA_EN(R_DATA_EN), .R_DATA_SD(GND), 
        .R_DATA_SL_N(R_DATA_SRST_N), .W_ADDR({W_ADDR[5], W_ADDR[4], 
        W_ADDR[3], W_ADDR[2], W_ADDR[1], W_ADDR[0]}), .W_CLK(CLK), 
        .W_DATA({W_DATA[11], W_DATA[10], W_DATA[9], W_DATA[8], 
        W_DATA[7], W_DATA[6], W_DATA[5], W_DATA[4], W_DATA[3], 
        W_DATA[2], W_DATA[1], W_DATA[0]}), .W_EN(W_EN), .ACCESS_BUSY(
        \ACCESS_BUSY[0][0] ), .R_DATA({R_DATA[11], R_DATA[10], 
        R_DATA[9], R_DATA[8], R_DATA[7], R_DATA[6], R_DATA[5], 
        R_DATA[4], R_DATA[3], R_DATA[2], R_DATA[1], R_DATA[0]}));
    RAM64x12 #( .RAMINDEX("core%64%128%SPEED%0%5%MICRO_RAM") )  
        COREFIFO_C3_COREFIFO_C3_0_USRAM_top_R0C5 (.BLK_EN(BLK_EN), 
        .BUSY_FB(GND), .R_ADDR({R_ADDR[5], R_ADDR[4], R_ADDR[3], 
        R_ADDR[2], R_ADDR[1], R_ADDR[0]}), .R_ADDR_AD_N(VCC), 
        .R_ADDR_AL_N(R_ADDR_ARST_N), .R_ADDR_BYPASS(GND), .R_ADDR_EN(
        R_ADDR_EN), .R_ADDR_SD(GND), .R_ADDR_SL_N(R_ADDR_SRST_N), 
        .R_CLK(CLK), .R_DATA_AD_N(VCC), .R_DATA_AL_N(R_DATA_ARST_N), 
        .R_DATA_BYPASS(GND), .R_DATA_EN(R_DATA_EN), .R_DATA_SD(GND), 
        .R_DATA_SL_N(R_DATA_SRST_N), .W_ADDR({W_ADDR[5], W_ADDR[4], 
        W_ADDR[3], W_ADDR[2], W_ADDR[1], W_ADDR[0]}), .W_CLK(CLK), 
        .W_DATA({W_DATA[71], W_DATA[70], W_DATA[69], W_DATA[68], 
        W_DATA[67], W_DATA[66], W_DATA[65], W_DATA[64], W_DATA[63], 
        W_DATA[62], W_DATA[61], W_DATA[60]}), .W_EN(W_EN), 
        .ACCESS_BUSY(\ACCESS_BUSY[0][5] ), .R_DATA({R_DATA[71], 
        R_DATA[70], R_DATA[69], R_DATA[68], R_DATA[67], R_DATA[66], 
        R_DATA[65], R_DATA[64], R_DATA[63], R_DATA[62], R_DATA[61], 
        R_DATA[60]}));
    RAM64x12 #( .RAMINDEX("core%64%128%SPEED%0%10%MICRO_RAM") )  
        COREFIFO_C3_COREFIFO_C3_0_USRAM_top_R0C10 (.BLK_EN(BLK_EN), 
        .BUSY_FB(GND), .R_ADDR({R_ADDR[5], R_ADDR[4], R_ADDR[3], 
        R_ADDR[2], R_ADDR[1], R_ADDR[0]}), .R_ADDR_AD_N(VCC), 
        .R_ADDR_AL_N(R_ADDR_ARST_N), .R_ADDR_BYPASS(GND), .R_ADDR_EN(
        R_ADDR_EN), .R_ADDR_SD(GND), .R_ADDR_SL_N(R_ADDR_SRST_N), 
        .R_CLK(CLK), .R_DATA_AD_N(VCC), .R_DATA_AL_N(R_DATA_ARST_N), 
        .R_DATA_BYPASS(GND), .R_DATA_EN(R_DATA_EN), .R_DATA_SD(GND), 
        .R_DATA_SL_N(R_DATA_SRST_N), .W_ADDR({W_ADDR[5], W_ADDR[4], 
        W_ADDR[3], W_ADDR[2], W_ADDR[1], W_ADDR[0]}), .W_CLK(CLK), 
        .W_DATA({GND, GND, GND, GND, W_DATA[127], W_DATA[126], 
        W_DATA[125], W_DATA[124], W_DATA[123], W_DATA[122], 
        W_DATA[121], W_DATA[120]}), .W_EN(W_EN), .ACCESS_BUSY(
        \ACCESS_BUSY[0][10] ), .R_DATA({nc0, nc1, nc2, nc3, 
        R_DATA[127], R_DATA[126], R_DATA[125], R_DATA[124], 
        R_DATA[123], R_DATA[122], R_DATA[121], R_DATA[120]}));
    GND GND_power_inst1 (.Y(GND_power_net1));
    VCC VCC_power_inst1 (.Y(VCC_power_net1));
    
endmodule
